org.springframework.jdbc.core.metadata

## Class TableParameterMetaData

- java.lang.Object
- - org.springframework.jdbc.core.metadata.TableParameterMetaData

    public class TableParameterMetaData
    extends Object

Holder of metadata for a specific parameter that is used for table processing.

Since:
  2.5
Author:
  Thomas Risberg

### Constructor Summary

Constructors
Constructor and Description
`TableParameterMetaData(String columnName, int sqlType, boolean nullable)` Constructor taking all the properties.

### Method Summary

Methods
`String` `getParameterName()` Get the parameter name.
`int` `getSqlType()` Get the parameter SQL type.
`boolean` `isNullable()` Get whether the parameter/column is nullable.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TableParameterMetaData

    public TableParameterMetaData(String columnName,
                          int sqlType,
                          boolean nullable)

Constructor taking all the properties.

### Method Detail

#### getParameterName

    public String getParameterName()

Get the parameter name.

#### getSqlType

    public int getSqlType()

Get the parameter SQL type.

#### isNullable

    public boolean isNullable()

Get whether the parameter/column is nullable.